function [alpha, A] = AlphaAFromG_dB(G_dB)
% This software was written by Preeti Rao at the 
% Institute for Perception Research (IPO) in 1999, and 
% adapted by Dik Hermes, Human-Technology Interaction group,
% Eindhoven University of Technology in 2009.
% 
% The function AlphaAndAFromG_dB interpolates A and alpha 
% for G, first kolom, according to the Figures 6 and 7 of: 
% Moore B.C.J., Glasberg B.R. and Baer T. (1997)
% A Model for the Prediction of Thresholds, Loudness, and Partial Loudness,
% J. Audio Eng. Soc. 45(4), 1997, 224-240.
% (These Figures 6 and 7 are reproduced by the commands at the bottom
% of this script.)

alphaA = [-25 0.267 8.8
          -20 0.252 7.6
          -15 0.238 6.6
          -10 0.222 5.8
           -5 0.210 5.1
            0 0.200 4.62];
       
alpha = interp1(alphaA(:, 1), alphaA(:, 2), G_dB, 'linear');
A = interp1(alphaA(:, 1), alphaA(:, 3), G_dB, 'linear');

% plot(alphaA(:, 1), alphaA(:,2))
% axis([-25 0 0.20 0.30])
% plot(alphaA(:, 1), alphaA(:,3))
% axis([-25 0 4 10])
