function arrow = CalcArrow(start, endPoint, relLengthHooks, angleHooks)
% The function "CalcArrow(start, endPoint, relLengthHooks, angleHooks)" 
% calculates the points of an arrow with the point "center" as center, 
% "endPoint" as endpoint, "relLengthHooks" as relative length of the 
% hooks, and "angleHooks" as angle of the hooks with the shaft. 
% This is done in such a way that plot(arrow(1,:), arrow(2,:)) plots the 
% arrow.

x = start-endPoint;
z = relLengthHooks*x;
rot1 = [cos(angleHooks) -sin(angleHooks) 
    sin(angleHooks) cos(angleHooks)];
rot2 = [cos(angleHooks) sin(angleHooks) 
    -sin(angleHooks) cos(angleHooks)];
hook1 = rot1*z';
hook2 = rot2*z';
arrow = [hook1 [0; 0] x' [0; 0] hook2];
arrow = endPoint'+arrow;
