function carrow = CalcCentArrow(start, endPoint, ...
    relLengthHooks, angleHooks, r)
% The function "CalcArrow(start, endPoint, relLengthHooks, angleHooks)" 
% calculates the points of an arrow with the point "start" as start, 
% "endPoint" as endpoint, "relLengthHooks" as relative length of the 
% hooks, and "angleHooks" as angle of the hooks with the shaft. 
% If length is the length of the arrow, the arrow divides the hook 
% in a part of length (1-r)*length and a part r*length.
% This is done in such a way that plot(arrow(1,:), arrow(2,:)) plots the 
% arrow.

x = start-endPoint;
z = relLengthHooks*x;
rot1 = [cos(angleHooks) -sin(angleHooks) 
    sin(angleHooks) cos(angleHooks)];
rot2 = [cos(angleHooks) sin(angleHooks) 
    -sin(angleHooks) cos(angleHooks)];
hook1 = rot1*z';
hook2 = rot2*z';
m = (1-r)*x';

carrow = [[0; 0] m m+hook1 m m+hook2 m x'];
carrow = endPoint'+carrow;
