function circle = CalcCircle(center, radius, phase, nrOfPoints)
% The function "CalcCircle(center, radius, phase, nrOfPoints)" calculates 
% "nrOfPoints" points on a circle with "center" as center and "radius" 
% as radius. The first point starts at phase "phase".
% This is done in such a way that plot(circle(1,:), circle(2,:)) plots the 
% circle.

th = 2*pi/nrOfPoints;
rot = [cos(th) -sin(th); sin(th) cos(th)];
circle(1:2, 1) = [cos(phase) sin(phase)];
for k = 2:nrOfPoints
    circle(1:2, k) = rot*circle(1:2, k-1);
end
circle = [circle circle(:,1)];
circle = radius*circle+center';
