function K = CalcK_Parameter(f)
% This software was written by Preeti Rao at the 
% Institute for Perception Research (IPO) in 1999, and 
% adapted by Dik Hermes, Human-Technology Interaction group,
% Eindhoven University of Technology in 2009.
%
% The function CalcK_Parameter calculates the K-parameters 
% as plot in Figure 9 of:
% Moore B.C.J., Glasberg B.R. & Baer T. (1997), 
% A model for the prediction of thresholds, loudness, 
% and partial loudness. 
% J. Audio Eng. Soc.45(4), 224-240.

table = [10  13.3
         50  13.3
        100   5.0
        125   3.0
        200   0.5
        300  -1.0
        400  -1.8
        500  -2.6
        900  -3.0
      20000  -3.0];    
  
K = interp1(table(:, 1), table(:, 2), f, 'linear');