function p = CalcRegularPolygon(xCenter, yCenter, radius, ...
    phi, nrOfSides)
% The function CalcRegularPolygon(xCenter, yCenter, radius, ...
%    phi, nrOfSides) calculates the coordinates of a regular 
% polygon with center in ['xCenter' 'yCenter'], 'radius' as 
% radius, the first point has argument 'phi', and the number of 
% sides is 'nrOfSides'.
theta = 2*pi/nrOfSides;
rotMatrix = [cos(theta) sin(theta); -sin(theta) cos(theta)];
p(:,1) = [cos(phi); sin(phi)]*radius;
for k = 2:nrOfSides
    p(:,k) = rotMatrix*p(:,k-1);
end
for k = 1:nrOfSides
    p(:,k) = p(:,k)+[xCenter; yCenter];
end
