function [normx, normy] = CalculateNormals(x, y)
% The function CalculateNormals calculates the normals for a 2D curve 
% specified by x and y.

n = length(x);
dx = diff(x);
dy = diff(y);
p = dx.*dx+dy.*dy;
dx = dx./p;
dy = dy./p;
normx(1) = dy(1);
normx(2:n-1) = dy(1:end-1)+dy(2:end);
normx(n) = dy(end);
normy(1) = -dx(1);
normy(2:n-1) = -dx(1:end-1)-dx(2:end);
normy(n) = -dx(end);
p = sqrt(normx.*normx+normy.*normy);
normx = normx./p;
normy = normy./p;
