function [b_dBA, a_dBA] = Calculate_dBAFilter(Fs)

% Adapted from m-script "adsgn" downloaded from 
% http://www.mathworks.com/matlabcentral/ileexchange/69-octave

% Definition of analog A-weighting filter according to IEC/CD 1672.
f1 = 20.598997; 
f2 = 107.65265;
f3 = 737.86223;
f4 = 12194.217;
a1000 = 1.9997;
pls = [(2*pi*f4)^2*(10^(a1000/20)) 0 0 0 0];
zrs = conv([1 +4*pi*f4 (2*pi*f4)^2], [1 +4*pi*f1 (2*pi*f1)^2]); 
zrs = conv(conv(zrs,[1 2*pi*f3]), [1 2*pi*f2]);

% Since using Matlab R2022b, the Matlab function 'bilinear' gave four of
% the following warnings in which eps is a small number with exponent e-31:
% "Warning: Matrix is close to singular or badly scaled. Results may be
% inaccurate. RCOND = eps." 
% Since I could not find a proper solution, it is turned off.
warning('off', 'MATLAB:nearlySingularMatrix')

% Use the bilinear transformation to get the digital filter. 
[b_dBA, a_dBA] = bilinear(pls, zrs, Fs); 
