function f = ERB2Hz(z)
% This function transforms nr of ERBs into Hz 
% according to the inverse of Equation 2 in 
% Moore B.C.J., Glasberg B.R. & Baer T. (1997), 
% A model for the prediction of thresholds, loudness, 
% and partial loudness. 
% J. Audio Eng. Soc.45(4), 224-240.

f = (10.^(z/21.4)-1)*1000/4.37;