function [env, duration] = EnvelopeToEnv(envelope, sampleFrequency)
% The function EnvelopeToEnv calculates the sample values of 
% an envelope defined as an nx2 matrix in which the first column 
% contains the time values, and the second column the frequency 
% values.
denvelope = diff(envelope);
dt = 1/sampleFrequency;
t = dt:dt:envelope(end, 1);
duration = t(end);

i = 0;
for k = 1:size(envelope, 1)-1
    j = 1;
    while i+j<=length(t) && t(i+j)<envelope(k+1, 1)
        j = j+1;
    end
    j = j-1;
    env(i+1:i+j) = envelope(k, 2) ...
        + (denvelope(k, 2))*(t(i+1:i+j)-envelope(k, 1))/(denvelope(k, 1));
    i = i+j;
end
if length(env)<length(t)
    env(end-length(t)+length(env)+1:length(t)) = 0;
end
