function signal = FadeInOut(s, sf, fa, fb)
% The function 'FadeInOut(s, sf, fa, fb)' attenuates the 
% first 'fa*sf' elements linearly from 0 to 1
% of all row vectors of s, and the last 'fb*sf'
% elements from 1 to 0.

signal = zeros(size(s));
for k=1:size(s, 1)
    signal(k,:) = FadeIn(s(k,:), sf, fa);
    signal(k,:) = FadeOut(signal(k,:), sf, fb);
end