function signal = FadeOut(s, sf, fa)
% The function 'FadeOut(s, sf, fa)' attenuates the 
% last 'fa*sf' elements of the vector 's' linearly 
% from 1 to 0.

signal = s;
if fa > 0
    p = (fa:(-1/sf):0)/fa;
    if length(p)<=length(s)
        signal(length(s)-length(p)+1:length(s)) = ...
            p .* signal(length(s)-length(p)+1:length(s));
    else
        signal = p(length(p)-length(s)+1:length(p)) .* signal;
    end
elseif fa < 0
    disp('FadeOut Warning: fade-out time smaller than 0.  Nothing done!');
end
