function z = Hz2ERB(f)
% This function transforms nr of ERBs into Hz 
% according to Equation 2 in 
% Moore B.C.J., Glasberg B.R. & Baer T. (1997), 
% A model for the prediction of thresholds, loudness, 
% and partial loudness. 
% J. Audio Eng. Soc.45(4), 224-240.

z = 21.4*log10(0.00437*f+1);