function E_thr_Q = InternalExcitation(f)
% This software was written by Preeti Rao at the 
% Institute for Perception Research (IPO) in 1999, and 
% adapted by Dik Hermes, Human-Technology Interaction group,
% Eindhoven University of Technology in 2009.
%
% Computes internal excitation in quiet at threshold 
% according to figure 4 of: 
% Moore B.C.J., Glasberg B.R. and Baer T. (1997)
% A Model for the Prediction of Thresholds, Loudness, and Partial Loudness.
% J. Audio Eng. Soc. 45(4), 1997, 224-240.
% The table matches the values mentioned in the caption of Figure 8.
% Below 52 Hz the internal excitation is extrapolated from the 
% other values.
% (This figure 4 is reproduced by the commands at the bottom
% of this script.)

ie = [ 20  34.9 % This value is extrapolated from the next two.
       52  26.2
       74  20.2
      108  14.5
      140  12.0
      253   6.3
      500   3.6
    20000   3.6];
     
E_thr_Q = interp1(ie(:, 1), ie(:, 2), f, 'linear');

% semilogx(ie(:, 1), ie(:,2))
% axis([50 1000 0 40])