function PlotSTFR(stimulus, sampleFrequency, ...
    schemTime, schemFreq, envelopeTone, ...
    tAxis, dXTick, fAxis, dYTick, widthAmpl, color)

dt = 1/sampleFrequency;
stimulusDuration = length(stimulus)*dt;
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', 'none', ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', 0:dXTick:stimulusDuration, 'XTickLabel', [], ...
    'YTick', 0:1000*dYTick:sampleFrequency/2, ...
    'YTickLabel', 0:dYTick:sampleFrequency/2000)
schemEnv = widthAmpl*(fAxis(2)-fAxis(1))*envelopeTone;
for m = 1:size(schemTime, 2)
    tt = schemTime(1, m)+dt:dt:schemTime(2, m);
%     plot([tt fliplr(tt)], ...
%         [schemFreq(1,m)+schemEnv schemFreq(1,m)-fliplr(schemEnv)], ...
%         'Color', color, 'LineWidth', 2)
    patch([tt fliplr(tt)], ...
        [schemFreq(1,m)+schemEnv schemFreq(1,m)-fliplr(schemEnv)], color)
end
axis([tAxis fAxis])
ylabel('frequency (kHz)', 'FontWeight', 'bold')
% text(0.99*tAxis(1)+0.01*tAxis(2), fAxis(1)+0.9*(fAxis(2)-fAxis(1)), ...
%     'schematic time vs frequency representation', ...
%     'FontSize', 14, 'FontWeight', 'bold')
