function PlotSTlFR(stimulus, sampleFrequency, ...
    schemTime, schemFreq, envelopeTone, ...
    tAxis, dXTick, fAxis, widthAmpl, color)

dt = 1/sampleFrequency;
stimulusDuration = length(stimulus)*dt;
a = 440;
yTick = -6:log2(sampleFrequency/a);
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', 'none', ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', 0:dXTick:stimulusDuration, 'XTickLabel', [], ...
    'YTick', yTick, 'YTickLabel', (a*2.^yTick))
schemFreq = log2(schemFreq/a);
lfAxis = log2(fAxis/a);
schemEnv = widthAmpl*(lfAxis(2)-lfAxis(1))*envelopeTone;
for m = 1:size(schemTime, 2)
    tt = schemTime(1, m)+dt:dt:schemTime(2, m);
    if abs(schemFreq(2,m)-schemFreq(1,m))>0
        dy = (schemFreq(2,m)-schemFreq(1,m))/(length(tt)-1);
        ff = schemFreq(1,m):dy:schemFreq(2,m);
    else
        ff = schemFreq(1,m);
    end
    patch([tt fliplr(tt)], ...
        [ff+schemEnv fliplr(ff-schemEnv)], color)
end
axis([tAxis lfAxis])
ylabel('frequency (Hz)', 'FontWeight', 'bold')

