function PlotSignal(stimulus, sampleFrequency, ...
    tAxis, dXTick, color, tLabel)

stimulusDuration = length(stimulus)/sampleFrequency;
xTick = -2*dXTick:dXTick:stimulusDuration+2*dXTick;
if isempty(tLabel)
    set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
        'Box', 'on', 'NextPlot', 'add', 'Color', 'none', ...
        'FontWeight', 'bold', 'TickDir', 'out', ...
        'XTick', xTick, 'XTickLabel', xTick, 'YTick', -1:1)
else
    set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
        'Box', 'on', 'NextPlot', 'add', 'Color', 'none', ...
        'FontWeight', 'bold', 'TickDir', 'out', ...
        'XTick', xTick, 'XTickLabel', 1000*xTick, 'YTick', -1:1)
end
plot((1:length(stimulus))/sampleFrequency, stimulus, ...
    'Color', color, 'LineWidth', 1.5);
plot([tAxis(1) tAxis(end)], [0 0], ...
    'Color', color, 'Linewidth', 1.5)
axis([tAxis -1.1 1.1])
xlabel(tLabel, 'FontWeight', 'bold')
ylabel('signal')

