function PlotSpectrogram(stimulus, sampleFrequency, ...
    f, ts, p, tAxis, dXTick, fAxis, dYTick, dBRange, color)

stimulusDuration = length(stimulus)/sampleFrequency;
set(gca, 'LineWidth', 1, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', color, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', 0:dXTick:stimulusDuration, 'XTickLabel', [], ...
    'YTick', 0:1000*dYTick:sampleFrequency/2, ...
    'YTickLabel', 0:dYTick:sampleFrequency/2000)
surface(ts, f, p, 'EdgeColor', 'none');
plot([tAxis(1) tAxis(2) tAxis(2) tAxis(1) tAxis(1)], ...
    [fAxis(1) fAxis(1) fAxis(2) fAxis(2) fAxis(1)], ...
    'Color', 'k', 'LineWidth', 1.5)
axis([tAxis fAxis])
caxis([max(p(:))-dBRange max(p(:))])
ylabel('frequency (kHz)', 'FontWeight', 'bold')
