function qu = Quartiles(x)
% The function Quartiles calculates the quartiles of the distribution
% defined by x. Produces that same results as the Matlab statistics 
% function prctile(x, [25 50 75]).
n = length(x);
if n == 1
    qu = [x x x];
else
    qu = interp1(1:n, sort(x), ([1 2 3]*n+2)/4);
end