clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = [250 250 250]; % pixels
panelHeights = 250; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot
panel = 1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
text(0.15:0.05:0.85, 0.85:-0.05:0.15, 'O')
text(0.125:0.05:0.825, 0.15:0.05:0.85, 'O')
axis([0 1 0 1])

% Plot
panel = panel+1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
text(0.15:0.05:0.50, 0.85:-0.05:0.50, 'F')
text(0.125:0.05:0.475, 0.15:0.05:0.50, 'R')
text(0.55:0.05:0.85, 0.45:-0.05:0.15, 'F')
text(0.525:0.05:0.825, 0.55:0.05:0.85, 'R')
axis([0 1 0 1])

% Plot
panel = panel+1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
text(0.15:0.05:0.50, 0.85:-0.05:0.50, 'H')
text(0.125:0.05:0.475, 0.15:0.05:0.50, 'L')
text(0.55:0.05:0.85, 0.45:-0.05:0.15, 'L')
text(0.525:0.05:0.825, 0.55:0.05:0.85, 'H')
axis([0 1 0 1])

