clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = [250 250 250]; % pixels
panelHeights = 250; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot
panel = 1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
line([0.15 0.85], [0.85 0.15], 'LineWidth', 4, 'Color', blueGreen)
rectangle('Position', [0.4 0.1 0.2 0.8], ...
    'FaceColor', lightYellowGreen)
axis([0 1 0 1])

% Plot
panel = panel+1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
text(0.15:0.05:0.85, 0.85:-0.05:0.15, 'O')
rectangle('Position', [0.4 0.1 0.2 0.8], ...
    'FaceColor', lightYellowGreen)
axis([0 1 0 1])

% Plot
panel = panel+1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
txt = 'good continuation';
for k = 1:length(txt)
    text(0.02+k*0.05, 0.98-k*0.05, txt(k), 'FontSize', 14)
end
rectangle('Position', [0.4 0.1 0.2 0.8], ...
    'FaceColor', lightYellowGreen)
axis([0 1 0 1])

