clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = [300 300]; % pixels
panelHeights = 300; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the triangle
panel = 1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
rCircle = 0.15;
n = 3;
nrOfPointsOnCircle = 100;
triangle = CalcCircle([0.5 0.43], 0.3, pi/2, n);
for k = 1:n
    circle = CalcCircle(triangle(:,k)', rCircle, pi/2, nrOfPointsOnCircle);
    patch(circle(1,:), circle(2,:), [0 0 0], 'LineStyle', 'none')
end
patch(triangle(1,:), triangle(2,:), lightYellowGreen, 'LineStyle', 'none')
axis([0 1 0 1], 'square')

% Plot the square
panel = 2;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
n = 4;
square = CalcCircle([0.5 0.5], 0.3, pi/2, n);
for k = 1:n
    circle = CalcCircle(square(:,k)', rCircle, pi/2, nrOfPointsOnCircle);
    patch(circle(1,:), circle(2,:), [0 0 0], 'LineStyle', 'none')
end
patch(square(1,:), square(2,:), lightYellowGreen, 'LineStyle', 'none')
axis([0 1 0 1], 'square')

