clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Define the stimulus
nrOfSign1 = 60;
nrOfSign2 = 12;
lngth = 0.02;
rng(12) % Set the seed of the random number generator
xSign1 = 0.5*lngth+(1-lngth)*rand(1, nrOfSign1);
ySign1 = 0.5*lngth+(1-lngth)*rand(1, nrOfSign1);
orientSign1 = rand(1, nrOfSign1)*pi;
xSign2 = 0.5*lngth+(1-lngth)*rand(1, nrOfSign2);
ySign2 = 0.5*lngth+(1-lngth)*rand(1, nrOfSign2);
orientSign2 = rand(1, nrOfSign2)*pi;

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = [300 300]; % pixels
panelHeights = 300; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the signs
panel = 1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
for k = 1:nrOfSign1
    dx = lngth*cos(orientSign1(k));
    dy = lngth*sin(orientSign1(k));
    x1 = xSign1(k)-dx;
    x2 = xSign1(k)+dx;
    y1 = ySign1(k)-dy;
    y2 = ySign1(k)+dy;
    plot([x1 x2], [y1 y2], 'Color', 'k');
    x1 = xSign1(k)-dy;
    x2 = xSign1(k)+dy;
    y1 = ySign1(k)+dx;
    y2 = ySign1(k)-dx;
    plot([x1 x2], [y1 y2], 'Color', 'k');
end
for k = 1:nrOfSign2
    dx = lngth*cos(orientSign2(k));
    dy = lngth*sin(orientSign2(k));
    x1 = xSign2(k)-dx;
    x2 = xSign2(k)+dx;
    y1 = ySign2(k)-dy;
    y2 = ySign2(k)+dy;
    plot([x1 x2], [y1 y2], 'Color', 'k');
end
axis([0 1 0 1])


% Plot the signs
panel = 2;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
for k = 1:nrOfSign2
    dx = lngth*cos(orientSign2(k));
    dy = lngth*sin(orientSign2(k));
    x1 = xSign2(k)-dx;
    x2 = xSign2(k)+dx;
    y1 = ySign2(k)-dy;
    y2 = ySign2(k)+dy;
    plot([x1 x2], [y1 y2], 'Color', 'k');
    x1 = xSign2(k)-dy;
    x2 = xSign2(k)+dy;
    y1 = ySign2(k)+dx;
    y2 = ySign2(k)-dx;
    plot([x1 x2], [y1 y2], 'Color', 'k');
end
for k = 1:nrOfSign1
    dx = lngth*cos(orientSign1(k));
    dy = lngth*sin(orientSign1(k));
    x1 = xSign1(k)-dx;
    x2 = xSign1(k)+dx;
    y1 = ySign1(k)-dy;
    y2 = ySign1(k)+dy;
    plot([x1 x2], [y1 y2], 'Color', 'k');
end
axis([0 1 0 1])

