clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = 600; % pixels
panelHeights = 90; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the text
axes('Position', pos)
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', {})
clrs = ['red   '; 'orange'; 'yellow'; 'green '; 'blue  '; 'purple'];
cc = [1 0 0; 1 0.5 0; 1 0.95 0; 0 0.7 0; 0 0 1; 0.8 0 0.8];
clrOrder = [4 1 2 6 3 5];
x = 0.02;
for c = 1:length(clrs)
    i = 1;
    cl = '';
    while i < 7 && clrs(clrOrder(c), i) ~= ' '
        cl(i) = clrs(clrOrder(c), i);
        i = i+1;
    end
    h = text(x, 0.55, cl, 'Color', cc(c,:), ...
        'Fontsize', 24, 'FontWeight', 'bold', ...
        'VerticalAlignment', 'middle');
    x = x+1.15*h.Extent(3);
    
end
    
