clear
close all
InitializePSS()
fprintf('%s\n', mfilename);
fprintf('%s\n', 'This script reproduces part of')
fprintf('%s\n', 'Figure 3 from (Ungan & Yagcioglu, 2014, p. 5)')

period = [2 2.5 3 3.3 5 6.7 10 14 20 30];
logPeriod = log10(period);
periodWeberFr = [5.6 5.6 5.6 5.6 5.4 4.3 3.2 4.3 6.4 10];
periodInt = linspace(logPeriod(1), logPeriod(end), 50);
periodWeberFrInt = spline(logPeriod, periodWeberFr, periodInt);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position figure in pixels from bottom
panelWidth = 360; % pixels
panelHeights = 300; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 90; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the level of the glides in dB SPL
panel = 1;
axes('Position', pos(panel,:))
xTick = [2 3.3 5 7 10 14 20 30 50 70 100 140];
set(gca, 'Box', 'on', 'LineWidth', 2, ...
    'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'XTick', log10(xTick), 'XTickLabel', xTick, ...
    'FontSize', 14, 'Fontweight', 'bold', 'TickDir', 'out')
plot(periodInt, periodWeberFrInt, 'LineWidth', 2, 'Color', darkGreen)    
plot(log10(period(4:end-1)), periodWeberFr(4:end-1), 'ok', 'LineWidth', 2)
xlabel('rate (Hz)', 'FontSize', 14, 'Fontweight', 'bold')
ylabel('%', 'FontSize', 16, 'Fontweight', 'bold')
axis([logPeriod(1) log10(35) 0 10])


