clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Read the piano sounds and make the stimulus
[stimulus, sampleFrequency] = ...
    audioread('timbre_DiatonicScaleForwardBackward.wav');
dt = 1/sampleFrequency;
durationStimulus = length(stimulus)*dt; % sec
t = (0:length(stimulus))*dt;

% Save and play the sound segment
wavFileName = sprintf('wavFiles/%s.wav', mfilename);
audiowrite(wavFileName, stimulus, sampleFrequency)
sound(stimulus, sampleFrequency)

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position figure in pixels from bottom
panelWidth = 720; % pixels
panelHeights = 120; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 60; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
figWidth = yLabelWidth+panelWidth+xMargin; 
figHeight = xLabelHeight+sum(panelHeights+yMargin);
set(gcf, 'Position', [figX0 figY0 figWidth figHeight], ...
    'PaperPositionMode' , 'auto', ...
    'Color', frameColor, 'InvertHardCopy', 'off')
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the complete utterance 
panel = 1;
axes('Position', pos(panel,:))
dXTick = 1; % sec
tAxis = [t(1)-0.5*dXTick t(end)+0.5*dXTick];
PlotSignal(stimulus, sampleFrequency, ...
    tAxis, dXTick, blueGreen, 'time (s)')
set(gca, 'Color', lightYellowGreen)
axis([tAxis -1.5 1.5])
set(gca, 'XTick', 0:dXTick:durationStimulus, ...
    'XTickLabel', 0:dXTick:durationStimulus)

