clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = 900; % pixels
panelHeights = 450; % pixels
xLabelHeight = 15; % pixels
yLabelWidth = 15; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the triangle and the texts
panel = 1;
axes('Position', pos(panel,:))
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'off', 'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', [], 'YTick', [])
rCircle = 0.1;
nrOfPointsOnCircle = 100;
n = 3;
triangle = CalcCircle([0.5 0.36], 0.55, pi/2, n);
plot(triangle(1,[1 2 3 1]), triangle(2,[1 2 3 1]), 'k', 'LineWidth', 12)
for k = 1:n
    circle = CalcCircle(triangle(:,k)', rCircle, pi/2, nrOfPointsOnCircle);
    patch(circle(1,:), circle(2,:), [1 1 1], 'LineStyle', 'none')
end
text(triangle(1,1), triangle(2,1), 'perceive', ...
    'Fontsize', 30, 'FontWeight', 'bold', ...
    'HorizontalAlignment', 'center')
text(triangle(1,2), triangle(2,2), 'measure', ...
    'Fontsize', 30, 'FontWeight', 'bold', ...
    'HorizontalAlignment', 'right')
text(triangle(1,3), triangle(2,3), 'model', ...
    'Fontsize', 30, 'FontWeight', 'bold', ...
    'HorizontalAlignment', 'left')
axis([0 1 0 1], 'square', 'off')

