clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% The data presented were obtained by enlarging Figure 3 of
% Daniel & Weber (1997) and measuring the position of the
% datapoints.
carrFreq = [125 250 500 1000 2000 4000 8000];
% The data presented in the matrix 'meas' were obtained by 
% enlarging Figure 3 of Daniel & Weber (1997) and measuring 
% the position of the datapoints.
fmMeas = 20:10:160;
roughnessMeas = [... % see comments above
  0.23  0.23  0.23  0.23  0.22  0.15  0.10
  0.34  0.40  0.42  0.43  0.38  0.26  0.19
  0.32  0.49  0.58  0.63  0.56  0.40  0.28
  0.25  0.49  0.68  0.84  0.77  0.53  0.37
  0.18  0.40  0.69  0.97  0.86  0.60  0.42
  0.14  0.32  0.62  1.00  0.90  0.62  0.44
  0.11  0.25  0.53  0.97  0.88  0.60  0.42
  0.09  0.20  0.43  0.88  0.80  0.55  0.38
  0.08  0.17  0.35  0.78  0.70  0.46  0.32
  0.00  0.15  0.30  0.65  0.61  0.40  0.28
  0.00  0.13  0.26  0.57  0.52  0.35  0.25
  0.00  0.11  0.23  0.50  0.45  0.30  0.21
  0.00  0.00  0.19  0.45  0.40  0.27  0.18
  0.00  0.00  0.18  0.39  0.35  0.23  0.16
  0.00  0.00  0.17  0.34  0.31  0.22  0.15];

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = 600; % pixels
panelHeights = 300; % pixels
xLabelHeight = 80; % pixels
yLabelWidth = 90; % pixels
xMargin = 30; % pixels
yMargin = 30; % pixels
% Set the current figure handle and return the width and
% height of the figure.
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the figure
axes('Position', pos)
XTick = [5 10 20 50 100 200];
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'Color', lightYellowGreen, 'NextPlot', 'add', ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'XTick', log10(XTick), 'XTickLabel',XTick, ...
    'Ytick', 0:0.2:1)
j = 7;
for k = length(carrFreq):-1:1
    p = k/(length(carrFreq)+1);
    co = (1-p)*blueGreen+p*white;
    p = (roughnessMeas(:,k) > 0);
    plot(log10(fmMeas(p)), roughnessMeas(p,k), 'o-', ...
        'LineWidth', 2, 'Color', co)
    x1 = 0.5*(fmMeas(j)+fmMeas(j+1));
    y1 = 0.5*(roughnessMeas(j,k)+roughnessMeas(j+1,k));
    plot(log10([x1 150]), [y1 0.4+0.08*k], 'k', 'Color', co)
    text(log10(155), 0.4+0.08*k, sprintf('%5.0f Hz', carrFreq(k)), ...
        'FontSize', 10, 'FontWeight', 'bold')
end
xlabel('modulation frequency (Hz)')
ylabel('rougness (asper)')
axis([log10(18) log10(200) 0 1.1])


