clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the excitation at threshold for frequencies f
ie = [8 26.2
     52 26.2
     74 20.2
    108 14.5
    140 12.0
    253  6.3
    500  3.6
  20000  3.6];

f = logspace(log10(52), log10(1100), 100);
exc = interp1(ie(:, 1), ie(:, 2), f, 'linear');

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position figure in pixels from bottom
panelWidth = 720; % pixels
panelHeights = 240; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 70; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the functions
axes('Position', pos)
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
    'Box', 'on', 'Color', lightYellowGreen, 'NextPlot', 'add', ...
    'FontWeight', 'bold', 'TickDir', 'out', ...
    'Xtick', log10([100 200 300 400 500 1000]), ...
    'XtickLabel', [100 200 300 400 500 1000], ...
    'YTick', [0 3.6 10:10:40], ...
    'YTickLabel', [0 3.6 10:10:40])
plot(log10(f), exc, 'LineWidth', 2, 'Color', blueGreen)
plot(log10([f(1) f(end)]), [3.6 3.6], '--', 'Color', blueGreen)
axis([log10(f(1)) log10(f(end)) 0 30])
xlabel('frequency (Hz)', 'FontSize', 14)
ylabel('exc. at threshold (dB)', 'FontSize', 14)

