clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position of figure in pixels from bottom
panelWidth = 720; % pixels
panelHeights = 360; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 70; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the positions of panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

axes('Position', pos)
set(gca, 'Box', 'on', 'NextPlot', 'add', 'LineWidth', 2, ...
    'FontSize', 14, 'Fontweight', 'bold', 'Color', lightYellowGreen)
dg = 0.001;
g = -1:dg:1;
for p = [12 25 50]
    h = Roex(p, g);
    gt = 0.12-0.0006*p;
    text(gt-0.01, Roex(p, gt), sprintf('p=%2.0f', p), ...
        'FontSize', 14, 'Fontweight', 'bold')
    plot(g, h, 'LineWidth', 2, 'Color', blueGreen)
    erb = 4/p;
    plot([-erb/2 -erb/2 erb/2 erb/2], [0 1 1 0], '--', ...
        'Color', blueGreen)
    plot([-erb/2 erb/2], Roex(p, [-erb/2 erb/2]), 'o', ...
        'LineWidth', 2, 'Color', red)
    axis([-0.4 0.4 0 1.05])
end
str1 = 'normalized deviation from centre frequency ';
strEq = '{\it{g}} = ({\it{f}}-{\it{f_c}})/{\it{f_c}}';
xlabel(strcat(str1, strEq), 'FontSize', 14, 'Fontweight', 'bold')
ylabel('H({\it{f}})^2', 'FontSize', 14, 'Fontweight', 'bold')
