clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

% Calculate the transfer function
f = logspace(log10(50), log10(16000), 256);
transfer = 10*log10(OuterEarFilter(f, ones(size(f))));

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position figure in pixels from bottom
panelWidth = 720; % pixels
panelHeights = 250; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 70; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the position of the panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the transfer function
axes('Position', pos)
fTick = [50 100 200 500 1000 2000 5000 10000];
logfTick = log10(fTick);
plot(log10(f), transfer, 'LineWidth', 2, 'Color', blueGreen)
axis([log10(f(1)) log10(f(end)) -5 20])
xlabel('frequency (Hz)', 'FontSize', 14)
ylabel('transfer (dB)', 'FontSize', 14)
set(gca, 'LineWidth', 1.5, 'FontSize', 14, ...
        'Box', 'on', 'Color', lightYellowGreen, ...
        'FontWeight', 'bold', 'TickDir', 'out', ...
        'Xtick', logfTick, 'XtickLabel', fTick)

