clear
close all
InitializePSS()
fprintf('%s\n', mfilename);

fprintf('\n%s: \n', mfilename)
fprintf('%% Adapted from the Matlab script "aspec" downloaded from\n')
fprintf('%% http://www.mathworks.com/matlabcentral/')
fprintf('%% fileexchange/69-octave\n')
fprintf('%% Uses the Matlab script "Calculate_dBAFilter", which is \n')
fprintf('%% an adaptation of the the Matlab script "adsgn" downloaded\n')
fprintf('%% from the same site.\n\n')

% Calculate the dBA filter coefficients
sampleFrequency = 44100; % Hz
[b_dBA, a_dBA] = Calculate_dBAFilter(sampleFrequency);
n = 512; 
fMin = 10;
fMax = sampleFrequency/2;
freq = logspace(log10(fMin), log10(fMax), n);
spc = freqz(b_dBA, a_dBA, 2*pi*freq/sampleFrequency);

% Calculate the position of the figure on the screen
figX0 = 270; % horizontal position of figure in pixels from left
figY0 = 120; % vertical position figure in pixels from bottom
panelWidth = 720; % pixels
panelHeights = 240; % pixels
xLabelHeight = 70; % pixels
yLabelWidth = 90; % pixels
xMargin = 15; % pixels
yMargin = 15; % pixels
[figWidth, figHeight] = SetGcf(figX0, figY0, ...
    panelWidth, panelHeights, ...
    xLabelHeight, yLabelWidth, xMargin, yMargin, ...
    frameColor);
% Calculate the position of the panels within the figure
pos = CalculatePanelPositions(figWidth, figHeight, ...
    panelWidth, panelHeights, yLabelWidth, xLabelHeight, ...
    xMargin, yMargin);

% Plot the temporal window
axes('Position', pos)
xTick = [10 20 50 100 200 500 1000 2000 5000 10000 20000];
yTick = -100:20:0;
set(gca, 'Box', 'on', 'LineWidth', 2, ...
    'NextPlot', 'add', 'Color', lightYellowGreen, ...
    'XTick', log10(xTick), 'XTickLabel', xTick/1000, ...
    'YTick', yTick, 'YTickLabel', yTick, ...
    'FontSize', 14, 'Fontweight', 'bold')
plot(log10(freq), 20*log10(abs(spc)), ...
    'LineWidth', 2, 'Color', blueGreen); 
xlabel('frequency (kHz)'); 
ylabel('transfer (dB)');
axis([log10(20) log10(20000) -60 10]);

